This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1267528 - When trying to list active process instances several error modal dialogs appears
When trying to list active process instances several error modal dialogs appears
Status: VERIFIED
Product: JBoss BPMS Platform 6
Classification: JBoss
Component: Business Central (Show other bugs)
6.2.0
x86_64 Linux
urgent Severity urgent
: ER4
: 6.2.0
Assigned To: David Gutierrez
Pavel Kralik
: TestBlocker
Depends On:
Blocks: 1277545
  Show dependency treegraph
 
Reported: 2015-09-30 06:10 EDT by Pavel Kralik
Modified: 2016-07-31 21:11 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1277545 (view as bug list)
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Process instances list error message (20.69 KB, image/png)
2015-09-30 06:10 EDT, Pavel Kralik
no flags Details
full stack trace (9.17 KB, text/plain)
2015-09-30 11:51 EDT, Mauricio Salatino
no flags Details

  None (edit)
Description Pavel Kralik 2015-09-30 06:10:45 EDT
Created attachment 1078579 [details]
Process instances list error message

Description of problem:
Trying to list active process instances results in many error modal dialogs

Version-Release number of selected component (if applicable):
BPMS 6.2.0.ER3

How reproducible:
Always

Steps to Reproduce:
1. Start process definition eg. simple timer
2. Go to process instances and click the Active tab
3. See many error dialogs (3-10): Can't lookup on specified data set: jbpmProcessInstances: org.dashbuilder.dataset.exception.DataSetLookupException: Can't lookup on specified data set: jbpmProcessInstances 

Actual results:
Error messages

Expected results:
Listing the active instances

Additional info:
ERROR [org.dashbuilder.dataset.backend.exception.ExceptionManager] (http-localhost/127.0.0.1:8080-17) Can't lookup on specified data set: jbpmProcessInstances: org.dashbuilder.dataset.exception.DataSetLookupException: Can't lookup on specified data set: jbpmProcessInstances
	at org.dashbuilder.dataset.backend.BackendDataSetManager.lookupDataSet(BackendDataSetManager.java:134) [dashbuilder-dataset-core-0.3.2.Final-redhat-1.jar:0.3.2.Final-redhat-1]
	at org.dashbuilder.dataset.backend.BackendDataSetManager$Proxy$_$$_WeldClientProxy.lookupDataSet(BackendDataSetManager$Proxy$_$$_WeldClientProxy.java) [dashbuilder-dataset-core-0.3.2.Final-redhat-1.jar:0.3.2.Final-redhat-1]
	at org.dashbuilder.dataset.backend.DataSetLookupServicesImpl.lookupDataSet(DataSetLookupServicesImpl.java:72) [dashbuilder-services-0.3.2.Final-redhat-1.jar:0.3.2.Final-redhat-1]
	at org.dashbuilder.dataset.backend.DataSetLookupServicesImpl$Proxy$_$$_WeldClientProxy.lookupDataSet(DataSetLookupServicesImpl$Proxy$_$$_WeldClientProxy.java) [dashbuilder-services-0.3.2.Final-redhat-1.jar:0.3.2.Final-redhat-1]
Comment 2 Pavel Kralik 2015-09-30 10:54:55 EDT
The same errors are generated if hitting several buttons in Process Instances perspective too:
* "Restore default filters"
* "New process instance" - going through "Start process instance" dialogs and hitting "Submit" button
Comment 3 Mauricio Salatino 2015-09-30 11:51 EDT
Created attachment 1078713 [details]
full stack trace

The full stack trace shows the issue in the dash builder internal with an NPE.
Comment 4 David Gutierrez 2015-10-01 05:07:28 EDT
This issue was fixed for jBPM 6.3 community final. It was not included in BxMS 6.2 ER3 though. 

(master) https://github.com/dashbuilder/dashbuilder/commit/efb44a18185b401ac04cfb2a1db1cc6c7f684379

(0.3.x) https://github.com/dashbuilder/dashbuilder/commit/d6ae85cfd6e16b3a5f09b58ce31c7c8b47114265
Comment 5 Jan Hrcek 2015-10-14 11:26:39 EDT
Ok, verified with BPM Suite 6.2.0 ER4

Note You need to log in before you can comment on or make changes to this bug.